Bug 1474680 - compile rhel7.3 source and install it, the system can't boot
compile rhel7.3 source and install it, the system can't boot
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grub2 (Show other bugs)
7.3
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Peter Jones
Release Test Team
:
Depends On:
Blocks: 1438583 1450449
  Show dependency treegraph
 
Reported: 2017-07-25 03:17 EDT by yaoal
Modified: 2017-07-27 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 21:10:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grub log (32.81 KB, image/png)
2017-07-26 02:38 EDT, yaoal
no flags Details

  None (edit)
Description yaoal 2017-07-25 03:17:24 EDT
Description of problem:
I get the rhel7.3 source from ISO image, compile it successfully and  install it successfully, but the system can't boot into the compiled kernel, the original kernel is OK

Version-Release number of selected component (if applicable):
7.3 kernel

How reproducible:


Steps to Reproduce:
1.install rhel7.3
2.extract the source from ISO image;
3.make
4.make modules_install install
5.reboot

Actual results:
the compiled kernel can't boot

Expected results:
the system can boot up

Additional info:
Comment 2 yaoal 2017-07-25 03:21:42 EDT
I want to know if the compile and install method still fit RHEL7.3, if not, what is the right way to install kernel from source
Comment 3 yaoal 2017-07-26 02:38 EDT
Created attachment 1304604 [details]
grub log
Comment 4 yaoal 2017-07-26 02:40:33 EDT
the pic show the last log of grub, and i have add parameter to kernel for redirecting its log to serial console, but the serial log show nothing

And this seem to be only for efi;
Comment 5 yaoal 2017-07-26 02:44:20 EDT
And I was using one Purley Server
Comment 6 yaoal 2017-07-27 21:10:13 EDT
Hi,I found My kernel default parameter was added by a wrong parameter,after deleting it, the kernel can start normally

Note You need to log in before you can comment on or make changes to this bug.